Create a component version

View as Markdown

Publishes a new version of a component from the current draft.

Note:

You can’t publish a new version of an archived component. Reactivate the component before publishing a new version.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

componentIdstringRequired
The component's ID.

Request

This endpoint expects an object.
labelstringRequiredformat: "^[a-zA-Z0-9]([a-zA-Z0-9._+-]{0,58}[a-zA-Z0-9])?$"1-60 characters
The component version's label. This must begin and end with a an alphanumeric character and may only contain letters, digits, dots, underscores, plus signs, and hyphens and cannot exceed 60 characters.
sourceobjectOptional
The source to publish the version from. Defaults to the component's current draft.

Response

Version Created
idstring
The component version's ID.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error